Name:		lwgrp
Version:	1.0.5
Release:	3%{?dist}
Summary:	Light-weight Group Library for MPI process groups 

License:	BSD
URL:		https://github.com/LLNL/lwgrp
Source0:	https://github.com/LLNL/lwgrp/releases/download/v%version/lwgrp-%version.tar.gz
Patch1:		lwgrp-sover.patch
BuildRequires:	pkgconfig openmpi-devel automake
Requires:	openmpi%{?_isa}

%description
The light-weight group library defines data structures and collective
operations to group MPI processes as an ordered set.  Such groups are
useful as substitutes for MPI communicators when the overhead of
communicator creation is too costly.  For example, certain sorting
algorithms recursively divide processes into subgroups as the sort
algorithm progresses.  These groups may be different with each
invocation, so that it is inefficient to create and destroy
communicators during the sort routine.

%package devel
Summary: Light-weight Group Library for MPI process groups -- development files
Requires: %name%{_isa} = %version-%release
Requires: openmpi-devel

%description devel
Development files for %name.

%prep
%setup -q
%patch1 -p1
autoreconf

%build
%_openmpi_load
%configure --disable-static --includedir=$MPI_INCLUDE --libdir=$MPI_LIB
make %{?_smp_mflags}


%install
%make_install


%files
%license LICENSE.TXT
%doc README
%_libdir/openmpi/lib/liblwgrp.so.*
%exclude %_libdir/openmpi/lib/liblwgrp.la
%exclude %_datadir/lwgrp

%files devel
%_includedir/openmpi-%_arch/lwgrp.h
%_libdir/openmpi/lib/liblwgrp.so
%_libdir/openmpi/lib/pkgconfig/liblwgrp.pc


%changelog
* Sun Jan 15 2023 Dave Love <loveshack@fedoraproject.org> - 1.0.5-3
- New version

* Wed Sep 20 2017 Dave Love <loveshack@fedoraproject.org> - 1.0.2-3
- Add Requires

* Wed Sep 20 2017 Dave Love <loveshack@fedoraproject.org> - 1.0.2-2
- Add -devel

* Fri Sep 15 2017  <loveshack@fedoraproject.org> - 1.0.2-1
- Initial packaging
